%define name squashfs
%define version 4.2
%define rel 1
%define release b%{rel}

%define kernel_rel	%(eval uname -r)

Name:		%{name}
Summary:	The Compressed Loopback Block Device
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System Environment/Kernel
Source:		squashfs-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

BuildArchitectures: i586

%description
The compressed loopback block device kernel module
squashfs is the driver module for transparent access to a
ISO9660 filesystem contained in compressed volume.


## Setup Section
%prep
%setup -q -n squashfs-%{version}

## Build Section
%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p $RPM_BUILD_ROOT

#./configure
make -C squashfs-tools

## Install Section
%install
cd squashfs-tools
strip mksquashfs

mkdir -p %{buildroot}/opt/berry
install -m 755 mksquashfs %{buildroot}/opt/berry

#mkdir -p %{buildroot}/lib/modules/%{kernel_rel}/kernel/drivers/block
#install -m 644 cloop.ko %{buildroot}/lib/modules/%{kernel_rel}/kernel/drivers/block

## Clean Section
%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

## Files Section
%files
%defattr (-,root,root)
/opt/berry/mksquashfs

## change log
%changelog
* Tue Mar 29 2011 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 4.2
* Thu Jun 11 2009 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 4.0
* Mon Jun 19 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 2.2r2
* Mon Jun 13 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
